glab(1)

NAME

glab-ci-get - Get JSON of a running CI/CD pipeline on the current or other specified branch

SYNOPSIS

glab ci get [flags]

DESCRIPTION

Get JSON of a running CI/CD pipeline on the current or other specified branch

OPTIONS

-b, --branch=""
    Check pipeline status for a branch. (Default is current branch)

-o, --output-format="text"
    Format output as: text, json

-p, --pipeline-id=0
    Provide pipeline ID

-d, --with-job-details[=false]
    Show extended job information

--with-variables[=false]
    Show variables in pipeline (maintainer role required)

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for command

-R, --repo=""
    Select another repository using the OWNER/REPO or GROUP/NAMESPACE/REPO format or full URL or git URL

EXAMPLE

    glab ci get
    glab ci -R some/project -p 12345

SEE ALSO

glab-ci(1)